#######################################################################
#Script Name: proftpd.conf
#Version: 1.4
#Description: Proftpd conf for DA on Deb.
#Last Modify Date: 12162022
#Author:Brent Dacus
#Email:brent[at]thedacus[dot]net
#######################################################################
ServerName								"ProFTPd"
ServerType								standalone

Port                    	0
PassivePorts							35000 35999
UseReverseDNS							off
TimesGMT									off
TimeoutLogin							120
TimeoutIdle								600
TimeoutNoTransfer					900
TimeoutStalled						3600
ScoreboardFile  					/var/run/proftpd.scoreboard
PidFile										/var/run/proftpd/proftpd.pid
TransferLog								/var/log/proftpd/xferlog.legacy
LogFormat									default "%h %l %u %t \"%r\" %s %b"
LogFormat									auth    "%v [%P] %h %t \"%r\" %s"
LogFormat									write   "%h %l %u %t \"%r\" %s %b"
#DON'T modify this log format.  Its used by DirectAdmin to determine user usage
LogFormat									userlog "%u %b %m %a"
ExtendedLog								/var/log/proftpd/|IP|.bytes WRITE,READ userlog
AuthUserFile              /etc/proftpd.passwd
DefaultServer							on
AuthOrder 								mod_auth_file.c
ListOptions								-a

<IfModule mod_tls.c>	
		<VirtualHost 0.0.0.0>
			Port 21
			TLSEngine on
			TLSLog /var/log/proftpd/proftpd.tls.log
      TLSProtocol TLSv1.1
      TLSCipherSuite HIGH
      TLSVerifyClient off
      TLSRequired off

			#Certificates
			TLSRSACertificateFile /etc/exim.cert
			TLSRSACertificateKeyFile /etc/exim.key
		</VirtualHost>
</IfModule>

<Global>
	PassivePorts						35000 35999
	DeferWelcome						on
	RequireValidShell				no
	DefaultRoot							~
	DirFakeUser on ftp
	DirFakeGroup on ftp
	User										ftp
	Group										ftp
	AllowStoreRestart				on
	AllowRetrieveRestart		on
	Umask										022
	DisplayLogin						welcome.msg
	DisplayChdir						readme
	AllowOverwrite					yes
	ExtendedLog							/var/log/proftpd/access.log WRITE,READ write
	ExtendedLog							/var/log/proftpd/auth.log AUTH auth
	
	#
	# Paranoia logging level....
	#
	#ExtendedLog    				/var/log/proftpd/paranoid.log ALL default
</Global>

Include /etc/proftpd.sftp.conf
